curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/entities/{entity_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": {
"city": "<string>",
"country": "AF",
"line1": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"state": "<string>"
},
"organization": {
"legal_name": "<string>",
"business_structure": "incorporated_partnership",
"directors_provided": true,
"executives_provided": true,
"legal_entity_id": "<string>",
"owners_provided": true,
"representative_provided": true
},
"status": "active",
"type": "<string>",
"email": "<string>",
"logo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"file_type": "<string>",
"md5": "<string>",
"mimetype": "<string>",
"name": "<string>",
"region": "<string>",
"size": 1,
"url": "<string>",
"pages": [],
"previews": []
},
"phone": "<string>",
"registration_authority": "Amtsgericht Charlottenburg",
"registration_number": "HRB 202324",
"tax_id": "<string>",
"website": "<string>"
}Retrieve an entity by its ID.
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/entities/{entity_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": {
"city": "<string>",
"country": "AF",
"line1": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"state": "<string>"
},
"organization": {
"legal_name": "<string>",
"business_structure": "incorporated_partnership",
"directors_provided": true,
"executives_provided": true,
"legal_entity_id": "<string>",
"owners_provided": true,
"representative_provided": true
},
"status": "active",
"type": "<string>",
"email": "<string>",
"logo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"file_type": "<string>",
"md5": "<string>",
"mimetype": "<string>",
"name": "<string>",
"region": "<string>",
"size": 1,
"url": "<string>",
"pages": [],
"previews": []
},
"phone": "<string>",
"registration_authority": "Amtsgericht Charlottenburg",
"registration_number": "HRB 202324",
"tax_id": "<string>",
"website": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A unique ID to specify the entity.
"ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
Successful Response
A schema for a response after creation of an entity of different types
UUID entity ID
UTC datetime
UTC datetime
An address description of the entity
Show child attributes
A set of metadata describing an organization
Show child attributes
record status, 'active' by default
active, inactive, deleted A type for an organization
"organization"An official email address of the entity
A logo image of the entity
Show child attributes
A phone number of the entity
100(Germany only) The name of the local district court (Amtsgericht) where the entity is registered. Required if registration_number is provided.
1 - 100"Amtsgericht Charlottenburg"
(Germany only) The entity's commercial register number (Handelsregisternummer) in the German Commercial Register, if available.
1 - 100"HRB 202324"
The entity's taxpayer identification number or tax ID. This field is required for entities that are non-VAT registered.
30A website of the entity
1 - 2083Was this page helpful?